"0BSD" license should be a valid SPDX license expression

priority:low
cli
triaged

(Bali Bebas!) #1

It’s an OSI-approved and SPDX-indexed license. Why is NPM throwing a warning for this when used in the license field of the package manifest?


(Kat Marchán) #2

Please create an issue over at https://github.com/shinnn/spdx-license-ids for this


(Lars Willighagen) #3

It should be included in spdx-license-ids@3.0.3 which is in npm v6.6.0 (commit).


(Lars Willighagen) #4

It should also be in spdx-license-ids@1.0.1 (commit) which is pretty old already. What version of npm are you using? And can you post the debug log?


(Bali Bebas!) #5

Sweet business, thanks @zkat and @larsgw! :grin: